مرجع واجهة برمجة التطبيقات
استخدم بوابة واحدة ومفتاح API واحد عبر سير عمل الوسائط المتوافقة مع OpenAI و Anthropic و Gemini وغير المتزامنة.
- الخادم
https://api.anyint.aiمصدر AnyInt Gateway الذي يقدم مستند OpenAPI هذا.
74 نقاط النهاية
تكامل ChatRoom
3 نقاط النهايةDiscover key-scoped models and enterprise capabilities for independent ChatRoom clients.
Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/modelsمثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/models?scope=<scope>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| scope | query | string | مطلوب | — |
| limit | query | integer | اختياري | —مثال: 1000 |
الاستجابات
{
"success": true,
"data": {
"models": [],
"total": 0
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/enterprise-contextمثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/enterprise-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"success": true,
"data": {
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/key-contextمثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/key-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"success": true,
"data": {
"userId": "user_example",
"apiKeyId": "key_example",
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}دردشة
2 نقاط النهايةإنشاء استجابات محادثة متوافقة مع OpenAI.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}الاستجابات
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}الاستجابات
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}استجابات
2 نقاط النهايةإنشاء استجابات بشكل OpenAI Responses API.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"input": "Write a short welcome message."
}الاستجابات
{
"id": "resp_example",
"object": "response",
"status": "completed"
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"input": "Write a short welcome message."
}الاستجابات
{
"id": "resp_example",
"object": "response",
"status": "completed"
}إكمال النصوص
2 نقاط النهايةإنشاء إكمالات نصية قديمة متوافقة مع OpenAI.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Once upon a time"
}الاستجابات
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Once upon a time"
}الاستجابات
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}تضمينات
2 نقاط النهايةإنشاء تضمينات متجهية من مدخلات نصية.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}الاستجابات
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}الاستجابات
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}إشراف
2 نقاط النهايةتصنيف المدخلات النصية أو الصور التي قد تكون ضارة.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"input": "Text to classify"
}الاستجابات
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"input": "Text to classify"
}الاستجابات
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}دُفعات
8 نقاط النهايةإرسال دفعات JSONL الأصلية للموفر عند تمكين تخزين الكائنات للنشر.
مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| after | query | string | اختياري | — |
| limit | query | integer | اختياري | —مثال: 20 |
الاستجابات
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| after | query | string | اختياري | — |
| limit | query | integer | اختياري | —مثال: 20 |
الاستجابات
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| batch_id | path | string | مطلوب | — |
الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| batch_id | path | string | مطلوب | — |
الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| batch_id | path | string | مطلوب | — |
الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| batch_id | path | string | مطلوب | — |
الاستجابات
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}ملفات
5 نقاط النهايةتحميل الملفات وسردها وفحصها وتنزيلها.
مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"object": "list",
"data": [
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/document.jsonl' \
--form 'purpose=batch'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"file": "document.jsonl",
"purpose": "batch"
}الاستجابات
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| file_id | path | string | مطلوب | — |
الاستجابات
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}مثال للطلب
curl \
--request DELETE \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| file_id | path | string | مطلوب | — |
الاستجابات
{
"id": "file_example",
"object": "file",
"deleted": true
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| file_id | path | string | مطلوب | — |
الاستجابات
<binary>صوت
3 نقاط النهايةنسخ الصوت، أو ترجمة الصوت إلى الإنجليزية، أو توليد الكلام.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/transcriptions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"file": "audio.wav",
"model": "your-model-id"
}الاستجابات
{
"text": "Example transcript."
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/translations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"file": "audio.wav",
"model": "your-model-id"
}الاستجابات
{
"text": "Example transcript."
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/speech' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: audio/mpeg' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}الاستجابات
<binary>الصور
4 نقاط النهايةGenerate and edit images with OpenAI-compatible requests.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}الاستجابات
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}الاستجابات
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}الاستجابات
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}الاستجابات
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}نماذج
4 نقاط النهايةاكتشاف النماذج المتاحة عبر كل بروتوكول.
مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/anthropic/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"data": [
{
"id": "your-model-id",
"type": "model",
"display_name": "Configured model",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": false,
"first_id": "your-model-id",
"last_id": "your-model-id"
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/gemini/v1beta/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"models": [
{
"name": "models/your-model-id",
"displayName": "Configured model",
"supportedGenerationMethods": [
"generateContent"
],
"inputTokenLimit": 8192,
"outputTokenLimit": 8192
}
]
}وسائط غير متزامنة
26 نقاط النهايةإنشاء وفحص مهام الصور والفيديو والموسيقى غير المتزامنة.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
<binary>مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
<binary>مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
<binary>مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
<binary>مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/suno/generate' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/suno/query/task?taskId=<taskId>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| taskId | query | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/doubao/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/image-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/video-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/music-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/music/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.الاستجابات
{
"object": "list",
"data": [
{
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
الاستجابات
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}مثال للطلب
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/artifacts/<artifact_id>?tenant_id=<tenant_id>&expires_at=<expires_at>&signature=<signature>' \
--header 'Accept: application/octet-stream'المصادقة
لا يلزم المصادقة
المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| task_id | path | string | مطلوب | — |
| artifact_id | path | string | مطلوب | — |
| tenant_id | query | string | مطلوب | — |
| expires_at | query | integer | مطلوب | — |
| signature | query | string | مطلوب | — |
الاستجابات
<binary>رسائل Anthropic
2 نقاط النهايةاستخدم الرسائل الأصلية لـ Anthropic، وعدّ الرموز، واكتشاف النماذج.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}الاستجابات
{
"id": "msg_example",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "Edge computing runs workloads near the data source."
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages/count_tokens' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.جسم الطلب
مطلوب{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}الاستجابات
{
"input_tokens": 12
}محتوى Gemini
4 نقاط النهايةاستخدم إنشاء المحتوى وبثه الأصلي لـ Gemini.
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| model | path | string | مطلوب | — |
جسم الطلب
مطلوب{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}الاستجابات
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| model | path | string | مطلوب | — |
| alt | query | string | اختياري | — |
جسم الطلب
مطلوب{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}الاستجابات
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}
مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| model | path | string | مطلوب | — |
جسم الطلب
مطلوب{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}الاستجابات
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}مثال للطلب
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'المصادقة
http · bearerمرر مفتاح API للمطور AnyInt كرمز مميز Bearer في رأس Authorization.المعلمات
| الاسم | الموقع | النوع | مطلوب | الوصف |
|---|---|---|---|---|
| model | path | string | مطلوب | — |
| alt | query | string | اختياري | — |
جسم الطلب
مطلوب{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}الاستجابات
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}